"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_i18next_1 = require("react-i18next");
var core_1 = require("@reactionable/core");
var ModalForm_1 = require("../../modal-form/ModalForm");
exports.Create = function (_a) {
    var onSuccess = _a.onSuccess, props = tslib_1.__rest(_a, ["onSuccess"]);
    var t = react_i18next_1.useTranslation().t;
    var _b = ModalForm_1.useModalForm(false), show = _b.show, openModalForm = _b.openModalForm, closeModalForm = _b.closeModalForm;
    var onFormSuccess = function (result) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        return tslib_1.__generator(this, function (_a) {
            closeModalForm();
            if (onSuccess) {
                onSuccess(result);
            }
            return [2 /*return*/];
        });
    }); };
    return React.createElement(React.Fragment, null,
        React.createElement(core_1.EnhanceChildren, { children: props.children, enhance: { onClick: openModalForm } }),
        React.createElement(ModalForm_1.ModalForm, tslib_1.__assign({ show: show, onSuccess: onFormSuccess, onHide: closeModalForm, submitButton: t('Save') }, props)));
};
//# sourceMappingURL=Create.js.map