"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_i18next_1 = require("react-i18next");
var Table_1 = tslib_1.__importDefault(require("react-bootstrap/Table"));
var core_1 = require("@reactionable/core");
var Loader_1 = require("../../loader/Loader");
var ErrorAlert_1 = require("../../error-alert/ErrorAlert");
;
exports.List = function (_a) {
    var head = _a.head, render = _a.render, props = tslib_1.__rest(_a, ["head", "render"]);
    var t = react_i18next_1.useTranslation().t;
    return react_1.default.createElement(core_1.List, tslib_1.__assign({}, props, { LoaderComponent: Loader_1.Loader, ErrorAlertComponent: ErrorAlert_1.ErrorAlert, render: function (data) { return react_1.default.createElement(Table_1.default, { striped: true, bordered: true, hover: true, responsive: true },
            react_1.default.createElement("thead", null,
                react_1.default.createElement("tr", null, head.map(function (item) { return 'string' === typeof item ? react_1.default.createElement("th", { key: item }, t(item)) : item; }))),
            react_1.default.createElement("tbody", null, data.map(function (item) { return render(item); }))); } }));
};
//# sourceMappingURL=List.js.map