"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
var Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
var react_i18next_1 = require("react-i18next");
var Form_1 = require("../form/Form");
;
exports.ModalForm = function (_a) {
    var title = _a.title, submitButton = _a.submitButton, _b = _a.show, show = _b === void 0 ? true : _b, render = _a.render, onSubmit = _a.onSubmit, props = tslib_1.__rest(_a, ["title", "submitButton", "show", "render", "onSubmit"]);
    var t = react_i18next_1.useTranslation().t;
    var renderForm = function (formikBag, isLoading) {
        var onCancel = function () {
            if (props.onHide) {
                props.onHide();
            }
        };
        return react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Modal_1.default.Body, null, render(formikBag, isLoading)),
            react_1.default.createElement(Modal_1.default.Footer, null,
                react_1.default.createElement(Button_1.default, { disabled: isLoading, type: "submit", variant: "primary" }, submitButton),
                react_1.default.createElement(Button_1.default, { disabled: isLoading, onClick: onCancel, variant: "secondary" }, t('Cancel'))));
    };
    var modalFormOnSumbit = function (values, actions) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
        var result;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, onSubmit(values, actions)];
                case 1:
                    result = _a.sent();
                    if (props.onHide) {
                        props.onHide();
                    }
                    return [2 /*return*/, result];
            }
        });
    }); };
    return show ? react_1.default.createElement(Modal_1.default, { centered: true, show: true, onHide: props.onHide, backdrop: "static", dialogClassName: "modal-lg" },
        react_1.default.createElement(Modal_1.default.Header, { closeButton: true },
            react_1.default.createElement(Modal_1.default.Title, null, title)),
        react_1.default.createElement(Form_1.Form, tslib_1.__assign({}, props, { title: title, render: renderForm, onSubmit: modalFormOnSumbit }))) : react_1.default.createElement(react_1.default.Fragment, null);
};
exports.useModalForm = function (props) {
    var _a = tslib_1.__read(react_1.useState('boolean' === typeof props ? props : props.show), 2), show = _a[0], setShow = _a[1];
    return {
        show: show,
        modal: 'boolean' === typeof props
            ? undefined
            : react_1.default.createElement(exports.ModalForm, tslib_1.__assign({}, props, { show: show })),
        openModalForm: function () { setShow(true); },
        closeModalForm: function () { setShow(false); },
    };
};
//# sourceMappingURL=ModalForm.js.map